
import java.util.Random;

public class InsertionSort {

    public static void main(String[] args) {
        int N = 20;
        int[] T = new int[N];

        Random rGen = new Random();

        for (int i = 0; i < N; i++) {
            T[i] = rGen.nextInt(100);
        }

        System.out.println("Przed:");
        for (int i = 0; i < N; i++) {
            System.out.format("%d ", T[i]);
        }
        System.out.println();

        for (int i = 1; i < N; i++) {
            int j = 0;

            while (j < i && T[j] < T[i]) {
                j++;
            }

            for (; j <= i; j++) {
                int tmp = T[j];

                T[j] = T[i];
                T[i] = tmp;
            }
        }




        System.out.println("Po:");
        for (int i = 0; i < N; i++) {
            System.out.format("%d ", T[i]);
        }
        System.out.println();
    }
}
