
import java.util.Random;

public class QuickSort {

    static int podziel(int[] T, int s, int e) {
        int l = s;
        int r = e;

        while (r - l > 0) {
            if (T[l] > T[l + 1]) {
                int tmp = T[l + 1];
                T[l + 1] = T[l];
                T[l] = tmp;

                l++;
            } else {
                int tmp = T[l + 1];
                T[l + 1] = T[r];
                T[r] = tmp;
                r--;
            }
        }

        return l;

    }

    static void quicksort(int[] T, int s, int e) {
        if (s >= e) {
            return;
        }

        int p = podziel(T, s, e);


        quicksort(T, s, p);
        quicksort(T, p + 1, e);
    }

    public static void main(String[] args) {
        int N = 20;
        int[] T = new int[N];

        Random rGen = new Random();

        for (int i = 0; i < N; i++) {
            T[i] = rGen.nextInt(100);
        }

        System.out.println("Przed:");
        for (int i = 0; i < N; i++) {
            System.out.format("%d ", T[i]);
        }
        System.out.println();

        quicksort(T, 0, N - 1);


        System.out.println("Po:");
        for (int i = 0; i < N; i++) {
            System.out.format("%d ", T[i]);
        }
        System.out.println();
    }
}
